package com.chelvc.cloud.vehicle.server.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chelvc.cloud.vehicle.api.dto.MerchantBalanceDetailDTO;
import com.chelvc.cloud.vehicle.server.entity.MerchantBalanceDetail;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface MerchantBalanceDetailMapper extends BaseMapper<MerchantBalanceDetail> {

    IPage<MerchantBalanceDetailDTO> queryByUserId(Page<MerchantBalanceDetailDTO> page, QueryWrapper<MerchantBalanceDetail> queryWrapper);
}
